{pkgs, lib, modulesPath, ...}:
{
  imports = [
      "${modulesPath}/installer/sd-card/sd-image-aarch64.nix"
  ];
  nixpkgs.hostPlatform.system = "aarch64-linux";
  sdImage.imageName = "orange.img";

  boot.loader.raspberryPi.version = 4;
  boot.supportedFilesystems = lib.mkForce [ "btrfs" "cifs" "f2fs" "jfs" "ntfs" "reiserfs" "vfat" "xfs" ];

  hardware.raspberry-pi."4" = {
    fkms-3d.enable = true;
    apply-overlays-dtmerge.enable = true;
    audio.enable = false;
  };

  boot.blacklistedKernelModules = [ "snd_bcm2835" ];

  console.enable = false;
  environment.systemPackages = with pkgs; [
    libraspberrypi
    raspberrypi-eeprom
  ];

  networking.hostName = "melodypond";
}
